Create An Environment For An Agent
curl --request POST \
--url https://{api_endpoint}/v1/orchestrate/agents/{agent_id}/environment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"voice": {
"enable_on_homepage": false,
"enable_on_embed": false
},
"current_version": 123,
"enable_wxg_integration": false
}
'import requests
url = "https://{api_endpoint}/v1/orchestrate/agents/{agent_id}/environment"
payload = {
"name": "<string>",
"description": "<string>",
"voice": {
"enable_on_homepage": False,
"enable_on_embed": False
},
"current_version": 123,
"enable_wxg_integration": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
voice: {enable_on_homepage: false, enable_on_embed: false},
current_version: 123,
enable_wxg_integration: false
})
};
fetch('https://{api_endpoint}/v1/orchestrate/agents/{agent_id}/environment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agent Release Environments
Create An Environment For An Agent
Registers a new environment for an agent.
Create An Environment For An Agent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Schema for creating a new Environment.
Name of the environment
Description of what the environment does
Voice configuration for the environment
Show child attributes
Show child attributes
Current agent version pointed to this environment
Enable/disable WXG integration for this agent
Response
Successful Response
⌘I

